## linux 3.16.70

=== Makefile ===
VERSION = 3
PATCHLEVEL = 16
SUBLEVEL = 70
EXTRAVERSION =
NAME = Museum of Fishiegoodies

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Fake the "Entering directory" message once, so that IDEs/editors are
# able to understand relative filenames.
       echodir := @echo
 quiet_echodir := @echo
silent_echodir := @:
sub-make: FORCE
	$($(quiet)echodir) "make[1]: Entering directory \`$(KBUILD_OUTPUT)'"
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \

=== debian/changelog ===
linux (3.16.70-1) jessie-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.69
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.70
    - staging: iio: adt7316: fix register and bit definitions
    - staging: iio: adt7316: invert the logic of the check for an ldac pin
    - staging: iio: adt7316: allow adt751x to use internal vref for all dacs
    - [armhf] clk: highbank: fix refcount leak in hb_clk_init()
    - [armhf] clk: socfpga: fix refcount leak
    - [armhf] clk: samsung: exynos4: fix refcount leak in exynos4_get_xom()
    - [armhf] clk: imx6q: fix refcount leak in imx6q_clocks_init()
    - [armhf] clk: armada-370: fix refcount leak in a370_clk_init()
    - [armel] clk: kirkwood: fix refcount leak in kirkwood_clk_init()
    - [armhf] clk: armada-xp: fix refcount leak in axp_clk_init()
    - drm: Fix error handling in drm_legacy_addctx
    - RDMA/ocrdma: Fix out of bounds index check in query pkey
    - selinux: avoid silent denials in permissive mode under RCU walk
    - crypto: pcbc - remove bogus memcpy()s with src == dest
    - media: v4l2: i2c: ov7670: Fix PLL bypass register values
    - crypto: hash - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
    - crypto: tgr192 - fix unaligned memory access
    - [armhf] ASoC: imx-sgtl5000: put of nodes if finding codec fails
    - hpet: Fix missing '=' character in the __setup() code of hpet_mmap_enable
    - [x86] applicom: Fix potential Spectre v1 vulnerabilities
    - rcu: Do RCU GP kthread self-wakeup from softirq and interrupt
    - tty: ipwireless: Fix potential NULL pointer dereference
    - ext2: Fix underflow in ext2_max_size()
    - devres: always use dev_name() in devm_ioremap_resource()
    - crypto: testmgr - skip crc32c context test for ahash algorithms
    - splice: don't merge into linked buffers
    - scsi: target/iscsi: Avoid iscsit_release_commands_from_conn() deadlock
    - USB: serial: cp210x: add ID for Ingenico 3070
    - media: uvcvideo: Avoid NULL pointer dereference at the end of streaming
    - crypto: ahash - fix another early termination in hash walk
    - bcache: never writeback a discard operation
    - bcache: treat stale && dirty keys as bad keys
    - jbd2: clear dirty flag when revoking a buffer from an older transaction
    - ext4: fix check of inode in swap_inode_boot_loader
    - ext4: update quota information while swapping boot loader inode
    - ext4: add mask of ext4 flags to swap
    - parport_pc: fix find_superio io compare code, should use equal test.
    - ext4: fix crash during online resizing
    - [x86] iscsi_ibft: Fix missing break in switch statement
    - [x86] tpm/tpm_i2c_atmel: Return -E2BIG when the transfer is incomplete
    - [x86] tpm: Fix off-by-one when reading binary_bios_measurements
    - serial: 8250_pci: Fix number of ports for ACCES serial cards
    - serial: 8250_pci: Have ACCES cards that use the four port Pericom
      PI7C9X7954 chip use the pci_pericom_setup()
    - USB: serial: ftdi_sio: add ID for Hjelmslund Electronics USB485
    - cdc-wdm: pass return value of recover_from_urb_loss
    - libertas_tf: don't set URB_ZERO_PACKET on IN USB transfer
    - drm/radeon/evergreen_cs: fix missing break in switch statement
    - [x86] KVM: mmu: Do not cache MMIO accesses while memslots are in flux
    - fs/nfs: Fix nfs_parse_devname to not modify it's argument
    - [armhf] clocksource/drivers/exynos_mct: Fix error path in timer resources
      initialization
    - [armhf] mmc: omap: fix the maximum timeout setting
    - btrfs: init csum_list before possible free
    - ALSA: bebob: use more identical mod_alias for Saffire Pro 10 I/O against
      Liquid Saffire 56
    - Btrfs: fix corruption reading shared and compressed extents after hole
      punching
    - NFSv4.1: Reinitialise sequence results before retransmitting a request
    - 9p: use inode->i_lock to protect i_size_write() under 32-bit
    - net-sysfs: Fix mem leak in netdev_register_kobject
    - ip6mr: Do not call __IP6_INC_STATS() from preemptible context
    - CIFS: Do not reset lease state to NONE on lease break
    - nfsd: fix memory corruption caused by readdir
    - CIFS: Fix read after write for files with read caching
    - mm/vmalloc: fix size check for remap_vmalloc_range_partial()
    - mm: fix potential data race in SyS_swapon
    - mm, swap: bounds check swap_info array accesses to avoid NULL derefs
    - scsi: virtio_scsi: don't send sc payload with tmfs
    - lib/div64.c: off by one in shift
    - xen, cpu_hotplug: Prevent an out of bounds access
    - route: set the deleted fnhe fnhe_daddr to 0 in ip_del_fnhe to fix a race
    - vxlan: test dev->flags & IFF_UP before calling gro_cells_receive()
    - gro_cells: make sure device is up in gro_cells_receive()
    - kernel/sysctl.c: add missing range check in do_proc_dointvec_minmax_conv
    - md: It's wrong to add len to sector_nr in raid10 reshape twice
    - md: Fix failed allocation of md_register_thread
    - net/mlx4_core: Fix locking in SRIOV mode when switching between events
      and polling
    - net/mlx4_core: Fix qp mtt size calculation
    - l2tp: fix infoleak in l2tp_ip6_recvmsg()
    - pptp: dst_release sk_dst_cache in pptp_sock_destruct
    - tcp: refine memory limit test in tcp_fragment() (regression in 3.16.68-2)
      (Closes: #931307)
    - fs: stream_open - opener for stream-like files so that read and write can
      run simultaneously without deadlock
    - fuse: Add FOPEN_STREAM to use stream_open()
    - media: uvcvideo: Fix 'type' check leading to overflow (CVE-2019-2101)
    - netns: provide pure entropy for net_hash_mix() (CVE-2019-10639)

  [ Ben Hutchings ]
  * Bump ABI to 10
  * ptrace: Fix ->ptracer_cred handling for PTRACE_TRACEME (CVE-2019-13272)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 22 Jul 2019 22:26:07 +0100

linux (3.16.68-2) jessie-security; urgency=high



=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.8 [alpha arm64 armel armhf hppa m68k mips mipsel mips64 mips64el powerpcspe ppc64el s390 s390x sh4 sparc sparc64], gcc-4.9 (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.9 (<< 4.9.2-11) [amd64 i386], binutils-hppa64 [hppa], gcc-4.8-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.8 (>= 4.8.2-21) [powerpc ppc64]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16.0-10
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16.0-10-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.16.0-10-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16.0-10-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.16.0-10-alpha-generic (= ${binary:Version}), linux-headers-3.16.0-10-alpha-smp (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: nic-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, nic-shared-modules-3.16.0-10-alpha-generic-di, core-modules-3.16.0-10-alpha-generic-di, crc-modules-3.16.0-10-alpha-generic-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: nic-wireless-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, nic-shared-modules-3.16.0-10-alpha-generic-di, core-modules-3.16.0-10-alpha-generic-di, usb-modules-3.16.0-10-alpha-generic-di, pcmcia-modules-3.16.0-10-alpha-generic-di, crc-modules-3.16.0-10-alpha-generic-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: nic-shared-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: serial-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, pcmcia-modules-3.16.0-10-alpha-generic-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: usb-serial-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, usb-modules-3.16.0-10-alpha-generic-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: ppp-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, serial-modules-3.16.0-10-alpha-generic-di, zlib-modules-3.16.0-10-alpha-generic-di, crc-modules-3.16.0-10-alpha-generic-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: pata-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, ata-modules-3.16.0-10-alpha-generic-di, scsi-core-modules-3.16.0-10-alpha-generic-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: cdrom-core-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, scsi-core-modules-3.16.0-10-alpha-generic-di, isofs-modules-3.16.0-10-alpha-generic-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: scsi-core-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: scsi-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, scsi-core-modules-3.16.0-10-alpha-generic-di, cdrom-core-modules-3.16.0-10-alpha-generic-di, core-modules-3.16.0-10-alpha-generic-di, ata-modules-3.16.0-10-alpha-generic-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: scsi-common-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, scsi-core-modules-3.16.0-10-alpha-generic-di, cdrom-core-modules-3.16.0-10-alpha-generic-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: scsi-extra-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.16.0-10-alpha-generic-di, scsi-core-modules-3.16.0-10-alpha-generic-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: loop-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: btrfs-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, core-modules-3.16.0-10-alpha-generic-di, crc-modules-3.16.0-10-alpha-generic-di, zlib-modules-3.16.0-10-alpha-generic-di, md-modules-3.16.0-10-alpha-generic-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: ext4-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di, core-modules-3.16.0-10-alpha-generic-di, crc-modules-3.16.0-10-alpha-generic-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 3.16.0-10-alpha-generic
Package-Type: udeb

Package: isofs-modules-3.16.0-10-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.16.0-10-alpha-generic-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

## linux 3.16.72

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 70
+SUBLEVEL = 72
 EXTRAVERSION =
 NAME = Museum of Fishiegoodies

## linux 3.16.74

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 72
+SUBLEVEL = 74
 EXTRAVERSION =
 NAME = Museum of Fishiegoodies

=== debian/changelog ===
linux (3.16.74-1) jessie-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.73
    - ext4: brelse all indirect buffer in ext4_ind_remove_space()
    - ext4: cleanup bh release code in ext4_ind_remove_space()
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.74
    - media: ivtv: update *pos correctly in ivtv_read_pos()
    - media: cx18: update *pos correctly in cx18_read_pos()
    - [armhf] dts: exynos: Fix interrupt for shared EINTs on Exynos5260
    - [armhf] media: wl128x: Fix an error code in fm_download_firmware()
    - pwm: Fix deadlock warning when removing PWM device
    - [armhf] pwm: tiehrpwm: Update shadow register for disabling PWMs
    - scsi: qla4xxx: avoid freeing unallocated dma memory
    - [armhf] OMAP2+: Fix potentially uninitialized return value for
      _setup_reset()
    - tty/vt: fix write/write race in ioctl(KDSKBSENT) handler
    - [armhf] media: wl128x: prevent two potential buffer overflows
    - kobject: Don't trigger kobject_uevent(KOBJ_REMOVE) twice.
    - cxgb3/l2t: Fix undefined behaviour
    - drm/fb-helper: dpms_legacy(): Only set on connectors in use
    - scsi: qla2xxx: Fix incorrect region-size setting in optrom SYSFS routines
    - PCI: Factor out pcie_retrain_link() function
    - PCI: Work around Pericom PCIe-to-PCI bridge Retrain Link erratum
    - jbd2: check superblock mapped prior to committing
    - crypto: crct10dif-generic - fix use via crypto_shash_digest()
    - [x86] crypto: crct10dif-pcl - fix use via crypto_shash_digest()
    - scsi: qla2xxx: Unregister chrdev if module initialization fails
    - [x86] hwmon: (f71805f) Use request_muxed_region for Super-IO accesses
    - hwmon: (pc87427) Use request_muxed_region for Super-IO accesses
    - [x86] hwmon: (smsc47b397) Use request_muxed_region for Super-IO accesses
    - [x86] hwmon: (smsc47m1) Use request_muxed_region for Super-IO accesses
    - [x86] hwmon: (w83627hf) Use request_muxed_region for Super-IO accesses
    - hwmon: (vt1211) Use request_muxed_region for Super-IO accesses
    - RDMA/cxgb4: Fix null pointer dereference on alloc_skb failure
    - [x86] platform: alienware-wmi: fix kfree on potentially uninitialized
      pointer
    - crypto: salsa20 - don't access already-freed walk.iv
    - media: pvrusb2: Prevent a buffer overflow
    - PCI: Mark Atheros AR9462 to avoid bus reset
    - [x86] uaccess: Dont leak the AC flag into __put_user() argument
      evaluation
    - ALSA: usb-audio: Handle the error from snd_usb_mixer_apply_create_quirk()
    - fuse: fix writepages on 32bit
    - fuse: honor RLIMIT_FSIZE in fuse_file_fallocate
    - fuse: fallocate: fix return with locked inode
    - bcache: fix memory corruption in init error path
    - bcache: fix a race between cache register and cacheset unregister
    - bcache: never set KEY_PTRS of journal key to 0 in journal_reclaim()
    - TTY: serial_core, add ->install
    - [x86] PCI: Reset Lenovo ThinkPad P50 nvgpu at boot if necessary
    - Bluetooth: Align minimum encryption key size for LE and BR/EDR
      connections (CVE-2019-9506)
    - Bluetooth: Fix regression with minimum encryption key size alignment
    - Bluetooth: Fix faulty expression for minimum encryption key size check
    - at76c50x-usb: Don't register led_trigger if usb_register_driver failed
    - mwl8k: Fix rate_idx underflow
    - p54: drop device reference count if fails to enable device
    - ext4: actually request zeroing of inode table after grow
    - USB: serial: fix initial-termios handling
    - ALSA: hda/realtek - EAPD turn on later
    - ALSA: hda/realtek - Fix overridden device-specific initialization
    - ALSA: usb-audio: Fix a memory leak bug
    - cdc-acm: fix race between callback and unthrottle
    - cdc-acm: store in and out pipes in acm structure
    - cdc-acm: handle read pipe errors
    - usb: cdc-acm: fix race during wakeup blocking TX traffic
    - USB: cdc-acm: fix unthrottle races
    - USB: serial: use variable for status
    - USB: serial: fix unthrottle races
    - of: fix clang -Wunsequenced for be32_to_cpu()
    - [x86] iommu/vt-d: Set intel_iommu_gfx_mapped correctly
    - ALSA: hda/hdmi - Read the pin sense from register when repolling
    - [x86] ASoC: max98090: Fix restore of DAPM Muxes
    - ceph: flush dirty inodes before proceeding with remount
    - cifs: fix strcat buffer overflow and reduce raciness in
      smb21_set_oplock_level()
    - tracing: Fix partial reading of trace event's id file
    - ipv4: Fix raw socket lookup for local traffic
    - ipv4: Use return value of inet_iif() for __raw_v4_lookup in the while loop
    - [armhf] media: omap_vout: potential buffer overflow in vidioc_dqbuf()
    - [x86] platform: alienware-wmi: printing the wrong error code
    - [x86] platform: sony-laptop: Fix unintentional fall-through
    - netfilter: ebtables: CONFIG_COMPAT: reject trailing data after last rule
    - ntp: Allow TAI-UTC offset to be set to zero
    - NFS4: Fix v4.0 client state corruption when mount
    - drm/radeon: prefer lower reference dividers
    - ext4: fix data corruption caused by overlapping unaligned and aligned IO
    - bonding: fix arp_validate toggling in active-backup mode
    - ocfs2: fix ocfs2 read inode data panic in ocfs2_iget
    - [x86] speculation/mds: Revert CPU buffer clear on double fault exit
    - [x86] speculation/mds: Improve CPU buffer clear documentation
    - GFS2: Fix rgrp end rounding problem for bsize < page size
    - GFS2: don't set rgrp gl_object until it's inserted into rgrp tree
      (CVE-2016-10905)
    - xfs: clear sb->s_fs_info on mount failure (CVE-2018-20976)
    - rsi: add fix for crash during assertions (CVE-2018-21008)
    - mac80211: add API to request TDLS operation from userspace
    - mac80211: drop robust management frames from unknown TA (CVE-2019-0136)
    - mac80211: handle deauthentication/disassociation from TDLS peer
      (CVE-2019-0136)


## linux 3.16.76

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 74
+SUBLEVEL = 76
 EXTRAVERSION =
 NAME = Museum of Fishiegoodies
